Package org.eclipse.microprofile.lra.tck.participant.nonjaxrs

# Class TooManyArgsParticipant

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.nonjaxrs.TooManyArgsParticipant

@Path("too-many-args-nonjaxrs") public class TooManyArgsParticipant extends Object
TCK invalid LRA participant containing too many arguments in the participant method signature used for verification of deployment time invalid signature detection and error report in `TckInvalidSignaturesTests`.

## Constructor Summary

Constructors
Constructor
Description
`TooManyArgsParticipant()`

## Method Summary

Modifier and Type
Method
Description
`ParticipantStatus`
`compensate(URI lraId)`
`ParticipantStatus`
`complete(URI lraId, URI parentId, Object additional)`
`jakarta.ws.rs.core.Response`
`doInLRA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TooManyArgsParticipant

public TooManyArgsParticipant()

## Method Details

### doInLRA

@GET @Path("enlist") public jakarta.ws.rs.core.Response doInLRA()

### compensate

public ParticipantStatus compensate(URI lraId)

### complete

public ParticipantStatus complete(URI lraId, URI parentId, Object additional)